{
  name = "lighttpd";

  nodes.server = { pkgs, ... }: {
    imports = [ ../nixos-modules/hardware.nix ../nixos-modules/systemd.nix ];
      networking.interfaces.eth1.genode.stack = "lwip";
    services.lighttpd.enable = true;
      systemd.services.lighttpd.genode = {
        enable = true;
        interface = "eth1";
      };
  };

  testScript = ''
    server.start()
    server.wait_until_serial_output('lwIP Nic interface up address=192.168.1.2')
  '';
}
